Bug 8338 - isLimitedByMaxRows() returns true even when it's not
Summary: isLimitedByMaxRows() returns true even when it's not
Status: CLOSED FIXED
Alias: None
Product: Taglibs
Classification: Unclassified
Component: Standard Taglib (show other bugs)
Version: unspecified
Hardware: All All
: P3 critical (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-21 02:39 UTC by Hans Bergsten
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hans Bergsten 2002-04-21 02:39:50 UTC
If a startRow is specified, it seems like isLimitedByMaxRows() always returns
true, for instance, even if startRow is greater than the number of rows in the
ResultSet.
Comment 1 Hans Bergsten 2002-04-21 02:48:09 UTC
I forgot to mention that I also use the maxRows attribute. Example:

    <sql:query var="empList"
      sql="SELECT * FROM Employee ORDER BY LastName" 
      startRow="${param.start}" maxRows="2"
    />

No matter what value I use for startRow, isLimitedByMaxRows() returns true.
The spec may not be 100% clear about this case, but I assume the intention
is to reflect whether the number of rows in the Result object where cut
due to a maxRows limit or not. So if <= (startRow + maxRows) rows are returned,
it should return false.
Comment 2 Jan Luehe 2002-04-23 20:51:15 UTC
Fixed.